#ifndef __MAIN_H__
#define __MAIN_H__

#include <sps2lib.h>
#include <sps2tags.h>
#include <sps2util.h>
#include <sps2regstructs.h>
#include <assert.h>
#include "PS2Defines.h"
#include "AddRegisters.h"
#include "ctexture.h"
#include "csquaresprite.h"
#include "csprite.h"
#include "sps2wrap.h"
#include "pad.h"

// -=*=-=*=-=*=-=*=-=*=-=*=- Function Prototypes -=*=-=*=-=*=-=*=-=*=-=*=-=*=-

// Our different game modes
void GameMenu(void);
void GamePlaying(void);
void GameOver(void);

// Called when switching mode in game.
void GameInit(void);
void GameOverInit(void);
void MenuInit(void);

// -=*=-=*=-=*=-=*=-=*=-=*=- Game Defines -=*=-=*=-=*=-=*=-=*=-=*=-=*=-=*=-=*=-

// The Game mode...
#define	GAME_MODE_MENU		1
#define	GAME_MODE_PLAYING	2
#define	GAME_MODE_GAMEOVER	3

#endif